For the complete documentation index, see llms.txt. This page is also available as Markdown.

Coupons

Coupon codes, discounts, and promotional offers.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
codestringOptionalExample: CODE
activebooleanOptionalExample: true
createdAtMinstringOptionalExample: 2024-01-01T00:00:00Z
createdAtMaxstringOptionalExample: 2024-12-31T23:59:59Z
creatorSearchstringOptional

Searches coupons by creator name. Matches users first, then filters coupons by matching creator IDs. Returns empty if no users match.

Example: john
sortOrderstring · enumOptionalExample: descPossible values:
pagenumberRequired
ippnumberRequired
expandstring[]Optional
eligibleTypestring[]OptionalExample: ["BOOKING","EVENT_OPEN_PLAY"]
tagstring[]OptionalExample: ["SINGLE_USE","LIMITED"]
areaIdstring[]OptionalExample: ["les","w37"]
userIdstringOptional
searchstringOptionalExample: q
Responses
200

Returns a CouponCollection

application/json
_totalnumberRequiredDeprecated
get/coupons
GET /apis/v2/coupons?page=1&ipp=1 HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a CouponCollection

{
  "items": [
    {
      "id": "text",
      "status": "DRAFT",
      "code": "text",
      "description": "text",
      "discountType": "AMOUNT_OFF",
      "value": 1,
      "ticketsLeft": 1,
      "ticketsApplied": 1,
      "active": true,
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "daysOfWeek": [
        1
      ],
      "eligibleTypes": [
        "BOOKING",
        "EVENT_ADULT_CLASS",
        "EVENT_OPEN_PLAY:Ranch Play"
      ],
      "eligibleUsers": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "eligibleDomains": [
        "text"
      ],
      "tags": [
        "SINGLE_USE"
      ],
      "allowedAreas": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "createdDate": "2026-01-01T00:00:00.000Z",
      "creator": {
        "id": "text",
        "user": {
          "id": "text"
        },
        "type": "REGULAR",
        "firstName": "text",
        "lastName": "text",
        "gender": "text",
        "birthday": "2026-01-01T00:00:00.000Z",
        "initials": "text",
        "description": "text",
        "picture": {},
        "usattRating": 1,
        "duprProfileUrl": "text",
        "memberSince": "2026-01-01T00:00:00.000Z",
        "membershipEnrollment": {},
        "kids": {},
        "_links": {}
      },
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRequired
statusstring · enumRead-onlyRequiredPossible values:
codestringRequired
descriptionstringRequired
discountTypestring · enumRequiredPossible values:
valuenumberRequired
ticketsLeftnumberRequired
ticketsAppliednumberRead-onlyRequired
ticketsUsednumberRead-onlyRequiredDeprecated
activebooleanRequired
startDatestring · date-timeRequired
endDatestring · date-timeRequired
daysOfWeeknumber[]Required
eligibleTypestring · enumRequiredDeprecated

Deprecated: Use eligibleTypes array instead

Possible values:
eligibleTypesstring[]Required

Array of eligible event types. Use "EVENT_SUBTYPE" for category (e.g., EVENT_ADULT_CLASS matches all adult classes). Use "EVENT_SUBTYPE:customType" for specific type (e.g., EVENT_ADULT_CLASS:Podfit).

Example: ["BOOKING","EVENT_ADULT_CLASS","EVENT_OPEN_PLAY:Ranch Play"]
eligibleDomainsstring[]Required
createdDatestring · date-time · nullableRead-onlyRequired
_linksobjectRequired
Responses
201

Returns a Coupon

application/json
idstringRequired
statusstring · enumRead-onlyRequiredPossible values:
codestringRequired
descriptionstringRequired
discountTypestring · enumRequiredPossible values:
valuenumberRequired
ticketsLeftnumberRequired
ticketsAppliednumberRead-onlyRequired
ticketsUsednumberRead-onlyRequiredDeprecated
activebooleanRequired
startDatestring · date-timeRequired
endDatestring · date-timeRequired
daysOfWeeknumber[]Required
eligibleTypestring · enumRequiredDeprecated

Deprecated: Use eligibleTypes array instead

Possible values:
eligibleTypesstring[]Required

Array of eligible event types. Use "EVENT_SUBTYPE" for category (e.g., EVENT_ADULT_CLASS matches all adult classes). Use "EVENT_SUBTYPE:customType" for specific type (e.g., EVENT_ADULT_CLASS:Podfit).

Example: ["BOOKING","EVENT_ADULT_CLASS","EVENT_OPEN_PLAY:Ranch Play"]
eligibleDomainsstring[]Required
createdDatestring · date-time · nullableRead-onlyRequired
_linksobjectRequired
post/coupons
POST /apis/v2/coupons HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 506

{
  "id": "text",
  "code": "text",
  "description": "text",
  "discountType": "AMOUNT_OFF",
  "value": 1,
  "ticketsLeft": 1,
  "active": true,
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "daysOfWeek": [
    1
  ],
  "eligibleTypes": [
    "BOOKING",
    "EVENT_ADULT_CLASS",
    "EVENT_OPEN_PLAY:Ranch Play"
  ],
  "eligibleUsers": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "eligibleDomains": [
    "text"
  ],
  "tags": [
    "SINGLE_USE"
  ],
  "allowedAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
{
  "id": "text",
  "status": "DRAFT",
  "code": "text",
  "description": "text",
  "discountType": "AMOUNT_OFF",
  "value": 1,
  "ticketsLeft": 1,
  "ticketsApplied": 1,
  "active": true,
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "daysOfWeek": [
    1
  ],
  "eligibleTypes": [
    "BOOKING",
    "EVENT_ADULT_CLASS",
    "EVENT_OPEN_PLAY:Ranch Play"
  ],
  "eligibleUsers": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "eligibleDomains": [
    "text"
  ],
  "tags": [
    "SINGLE_USE"
  ],
  "allowedAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "createdDate": "2026-01-01T00:00:00.000Z",
  "creator": {
    "id": "text",
    "user": {
      "id": "text"
    },
    "type": "REGULAR",
    "firstName": "text",
    "lastName": "text",
    "gender": "text",
    "birthday": "2026-01-01T00:00:00.000Z",
    "initials": "text",
    "description": "text",
    "picture": {},
    "usattRating": 1,
    "duprProfileUrl": "text",
    "memberSince": "2026-01-01T00:00:00.000Z",
    "membershipEnrollment": {},
    "kids": {},
    "_links": {}
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
couponIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Query parameters
expandstring[]OptionalExample: ["_links.allowedAreas","_links.eligibleUsers"]
Responses
200

Returns a Coupon

application/json
idstringRequired
statusstring · enumRead-onlyRequiredPossible values:
codestringRequired
descriptionstringRequired
discountTypestring · enumRequiredPossible values:
valuenumberRequired
ticketsLeftnumberRequired
ticketsAppliednumberRead-onlyRequired
ticketsUsednumberRead-onlyRequiredDeprecated
activebooleanRequired
startDatestring · date-timeRequired
endDatestring · date-timeRequired
daysOfWeeknumber[]Required
eligibleTypestring · enumRequiredDeprecated

Deprecated: Use eligibleTypes array instead

Possible values:
eligibleTypesstring[]Required

Array of eligible event types. Use "EVENT_SUBTYPE" for category (e.g., EVENT_ADULT_CLASS matches all adult classes). Use "EVENT_SUBTYPE:customType" for specific type (e.g., EVENT_ADULT_CLASS:Podfit).

Example: ["BOOKING","EVENT_ADULT_CLASS","EVENT_OPEN_PLAY:Ranch Play"]
eligibleDomainsstring[]Required
createdDatestring · date-time · nullableRead-onlyRequired
_linksobjectRequired
get/coupons/{couponId}
GET /apis/v2/coupons/{couponId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Coupon

{
  "id": "text",
  "status": "DRAFT",
  "code": "text",
  "description": "text",
  "discountType": "AMOUNT_OFF",
  "value": 1,
  "ticketsLeft": 1,
  "ticketsApplied": 1,
  "active": true,
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "daysOfWeek": [
    1
  ],
  "eligibleTypes": [
    "BOOKING",
    "EVENT_ADULT_CLASS",
    "EVENT_OPEN_PLAY:Ranch Play"
  ],
  "eligibleUsers": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "eligibleDomains": [
    "text"
  ],
  "tags": [
    "SINGLE_USE"
  ],
  "allowedAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "createdDate": "2026-01-01T00:00:00.000Z",
  "creator": {
    "id": "text",
    "user": {
      "id": "text"
    },
    "type": "REGULAR",
    "firstName": "text",
    "lastName": "text",
    "gender": "text",
    "birthday": "2026-01-01T00:00:00.000Z",
    "initials": "text",
    "description": "text",
    "picture": {},
    "usattRating": 1,
    "duprProfileUrl": "text",
    "memberSince": "2026-01-01T00:00:00.000Z",
    "membershipEnrollment": {},
    "kids": {},
    "_links": {}
  },
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
couponIdstringRequired
Responses
200

Deletes a Coupon

application/json
idstringRequired
statusstring · enumRead-onlyRequiredPossible values:
codestringRequired
descriptionstringRequired
discountTypestring · enumRequiredPossible values:
valuenumberRequired
ticketsLeftnumberRequired
ticketsAppliednumberRead-onlyRequired
ticketsUsednumberRead-onlyRequiredDeprecated
activebooleanRequired
startDatestring · date-timeRequired
endDatestring · date-timeRequired
daysOfWeeknumber[]Required
eligibleTypestring · enumRequiredDeprecated

Deprecated: Use eligibleTypes array instead

Possible values:
eligibleTypesstring[]Required

Array of eligible event types. Use "EVENT_SUBTYPE" for category (e.g., EVENT_ADULT_CLASS matches all adult classes). Use "EVENT_SUBTYPE:customType" for specific type (e.g., EVENT_ADULT_CLASS:Podfit).

Example: ["BOOKING","EVENT_ADULT_CLASS","EVENT_OPEN_PLAY:Ranch Play"]
eligibleDomainsstring[]Required
createdDatestring · date-time · nullableRead-onlyRequired
_linksobjectRequired
delete/coupons/{couponId}
DELETE /apis/v2/coupons/{couponId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Deletes a Coupon

{
  "id": "text",
  "status": "DRAFT",
  "code": "text",
  "description": "text",
  "discountType": "AMOUNT_OFF",
  "value": 1,
  "ticketsLeft": 1,
  "ticketsApplied": 1,
  "active": true,
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "daysOfWeek": [
    1
  ],
  "eligibleTypes": [
    "BOOKING",
    "EVENT_ADULT_CLASS",
    "EVENT_OPEN_PLAY:Ranch Play"
  ],
  "eligibleUsers": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "eligibleDomains": [
    "text"
  ],
  "tags": [
    "SINGLE_USE"
  ],
  "allowedAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "createdDate": "2026-01-01T00:00:00.000Z",
  "creator": {
    "id": "text",
    "user": {
      "id": "text"
    },
    "type": "REGULAR",
    "firstName": "text",
    "lastName": "text",
    "gender": "text",
    "birthday": "2026-01-01T00:00:00.000Z",
    "initials": "text",
    "description": "text",
    "picture": {},
    "usattRating": 1,
    "duprProfileUrl": "text",
    "memberSince": "2026-01-01T00:00:00.000Z",
    "membershipEnrollment": {},
    "kids": {},
    "_links": {}
  },
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
couponIdstringRequired
Body
idstringRequired
statusstring · enumRead-onlyRequiredPossible values:
codestringRequired
descriptionstringRequired
discountTypestring · enumRequiredPossible values:
valuenumberRequired
ticketsLeftnumberRequired
ticketsAppliednumberRead-onlyRequired
ticketsUsednumberRead-onlyRequiredDeprecated
activebooleanRequired
startDatestring · date-timeRequired
endDatestring · date-timeRequired
daysOfWeeknumber[]Required
eligibleTypestring · enumRequiredDeprecated

Deprecated: Use eligibleTypes array instead

Possible values:
eligibleTypesstring[]Required

Array of eligible event types. Use "EVENT_SUBTYPE" for category (e.g., EVENT_ADULT_CLASS matches all adult classes). Use "EVENT_SUBTYPE:customType" for specific type (e.g., EVENT_ADULT_CLASS:Podfit).

Example: ["BOOKING","EVENT_ADULT_CLASS","EVENT_OPEN_PLAY:Ranch Play"]
eligibleDomainsstring[]Required
createdDatestring · date-time · nullableRead-onlyRequired
_linksobjectRequired
Responses
200

Returns a Coupon

application/json
idstringRequired
statusstring · enumRead-onlyRequiredPossible values:
codestringRequired
descriptionstringRequired
discountTypestring · enumRequiredPossible values:
valuenumberRequired
ticketsLeftnumberRequired
ticketsAppliednumberRead-onlyRequired
ticketsUsednumberRead-onlyRequiredDeprecated
activebooleanRequired
startDatestring · date-timeRequired
endDatestring · date-timeRequired
daysOfWeeknumber[]Required
eligibleTypestring · enumRequiredDeprecated

Deprecated: Use eligibleTypes array instead

Possible values:
eligibleTypesstring[]Required

Array of eligible event types. Use "EVENT_SUBTYPE" for category (e.g., EVENT_ADULT_CLASS matches all adult classes). Use "EVENT_SUBTYPE:customType" for specific type (e.g., EVENT_ADULT_CLASS:Podfit).

Example: ["BOOKING","EVENT_ADULT_CLASS","EVENT_OPEN_PLAY:Ranch Play"]
eligibleDomainsstring[]Required
createdDatestring · date-time · nullableRead-onlyRequired
_linksobjectRequired
patch/coupons/{couponId}
PATCH /apis/v2/coupons/{couponId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 506

{
  "id": "text",
  "code": "text",
  "description": "text",
  "discountType": "AMOUNT_OFF",
  "value": 1,
  "ticketsLeft": 1,
  "active": true,
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "daysOfWeek": [
    1
  ],
  "eligibleTypes": [
    "BOOKING",
    "EVENT_ADULT_CLASS",
    "EVENT_OPEN_PLAY:Ranch Play"
  ],
  "eligibleUsers": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "eligibleDomains": [
    "text"
  ],
  "tags": [
    "SINGLE_USE"
  ],
  "allowedAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
{
  "id": "text",
  "status": "DRAFT",
  "code": "text",
  "description": "text",
  "discountType": "AMOUNT_OFF",
  "value": 1,
  "ticketsLeft": 1,
  "ticketsApplied": 1,
  "active": true,
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "daysOfWeek": [
    1
  ],
  "eligibleTypes": [
    "BOOKING",
    "EVENT_ADULT_CLASS",
    "EVENT_OPEN_PLAY:Ranch Play"
  ],
  "eligibleUsers": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "eligibleDomains": [
    "text"
  ],
  "tags": [
    "SINGLE_USE"
  ],
  "allowedAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "createdDate": "2026-01-01T00:00:00.000Z",
  "creator": {
    "id": "text",
    "user": {
      "id": "text"
    },
    "type": "REGULAR",
    "firstName": "text",
    "lastName": "text",
    "gender": "text",
    "birthday": "2026-01-01T00:00:00.000Z",
    "initials": "text",
    "description": "text",
    "picture": {},
    "usattRating": 1,
    "duprProfileUrl": "text",
    "memberSince": "2026-01-01T00:00:00.000Z",
    "membershipEnrollment": {},
    "kids": {},
    "_links": {}
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
couponIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Responses
200

Returns a UserCollection

application/json
get/coupons/{couponId}/eligible-users
GET /apis/v2/coupons/{couponId}/eligible-users HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a UserCollection

{
  "items": [
    {
      "id": "text",
      "email": "name@gmail.com",
      "firstName": "text",
      "lastName": "text",
      "description": "text",
      "notes": {
        "id": "text"
      },
      "phoneNumberPreview": "text",
      "phoneNumber": {
        "id": "text"
      },
      "roles": [
        "ADMIN"
      ],
      "rolesAreas": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "flags": [
        "NEW"
      ],
      "paymentMethod": {
        "id": "text"
      },
      "paymentElements": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "freeQuickReplays": 1,
      "picture": {
        "id": "text"
      },
      "gender": "text",
      "birthday": "2026-01-01T00:00:00.000Z",
      "favoriteReplays": {},
      "profile": {
        "id": "text"
      },
      "coachProfile": {
        "id": "text"
      },
      "qrCode": {
        "id": "text"
      },
      "membershipEnrollment": {
        "id": "text"
      },
      "ratings": {
        "_total": 1
      },
      "securityPicture": {
        "id": "text"
      },
      "chat": {
        "id": "text"
      },
      "segmentation": {
        "id": "text"
      },
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
couponIdstringRequired
Query parameters
typestring · enumOptionalPossible values:
Body
filestring · binaryOptional
Responses
200

Returns a collection of BaseCollectionDto<UserDto>

application/json
itemsstring[]Required
_totalnumberRequired
patch/coupons/{couponId}/eligible-users
PATCH /apis/v2/coupons/{couponId}/eligible-users HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
200

Returns a collection of BaseCollectionDto<UserDto>

{
  "items": [
    "text"
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
couponIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Responses
200

Returns a CouponSummary

application/json
idstringRequired
codestringRequired
discountTypestring · enumRequiredPossible values:
valuenumberRequired
get/coupons/{couponId}/summary
GET /apis/v2/coupons/{couponId}/summary HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a CouponSummary

{
  "id": "text",
  "code": "text",
  "discountType": "AMOUNT_OFF",
  "value": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?